#include <iostream>

using namespace std;

int main()
{
    long n,k,u;
    long a[n];
    cin>>n>>k;
    for(long i=0;i<n;i++)
    {
        cin>>a[i];
        if (a[i] ==k){
            u=i;
        }
    }

    if(u==n-1){
        cout<<a[0];
    }
    else{
        cout<<a[u+1];
    }
    return 0;
}